## UDisksLinuxManager UDisksLinuxManager — Linux implementation of UDisksManager |

## Synopsis

                        UDisksLinuxManager;
    UDisksManager *     udisks_linux_manager_new            (UDisksDaemon *daemon);
    UDisksDaemon *      udisks_linux_manager_get_daemon     (UDisksLinuxManager *manager);

## Object Hierarchy

      GObject
       +----GDBusInterfaceSkeleton
             +----UDisksManagerSkeleton
                   +----UDisksLinuxManager

## Implemented Interfaces

UDisksLinuxManager implements GDBusInterface and UDisksManager.

## Properties

      "daemon"                   UDisksDaemon*         : Read / Write / Construct Only

## Description

This type provides an implementation of the UDisksManager interface on Linux.

## Details

### UDisksLinuxManager

    typedef struct _UDisksLinuxManager UDisksLinuxManager;

The UDisksLinuxManager structure contains only private data and should only be accessed using the provided API.

### udisks_linux_manager_new ()

    UDisksManager *     udisks_linux_manager_new            (UDisksDaemon *daemon);

Creates a new UDisksLinuxManager instance.

`daemon` : | A UDisksDaemon.
Returns : | A new UDisksLinuxManager. Free with `g_object_unref()`.

### udisks_linux_manager_get_daemon ()

    UDisksDaemon *      udisks_linux_manager_get_daemon     (UDisksLinuxManager *manager);

Gets the daemon used by `manager`.

`manager` : | A UDisksLinuxManager.
Returns : | A UDisksDaemon. Do not free, the object is owned by `manager`.

## Property Details

### The `"daemon"` property

      "daemon"                   UDisksDaemon*         : Read / Write / Construct Only

The UDisksDaemon for the object.